<?php
class ControllerSaleKotDisplay extends Controller {
	private $error = array();

	public function index() {
		$this->load->language('sale/order');
		$this->load->model('sale/sale_order');
		
		$data['bar_categories'] = $this->model_sale_sale_order->getCategories('59');
		$data['food_categories'] = $this->model_sale_sale_order->getCategories('60');
		$data['products'] = $this->model_sale_sale_order->getProducts();
		
	    $data['username'] = $this->user->getUserName();
		
		/////table kot data/////
	   
	    $data['open_kots']= $open_kots = $this->model_sale_sale_order->getOpenKots();
		
		$open_kot_ids = array();
		
		for($i=0; $i < sizeof($open_kots); $i++){
			$open_kot_ids[$i]= $open_kots[$i]['kot_id'];
			}
		
		if(sizeof($open_kot_ids)>0){
		$open_kot_ids = implode(",",$open_kot_ids);
			}else{
		$open_kot_ids = 0;
				}
			
		$data['kot_data'] = $this->model_sale_sale_order->getKotProducts($open_kot_ids);
	
	   
	   ///takeaway kot data/////
	   
	   $data['open_kots_takeaway'] = $open_kots_takeaway = $this->model_sale_sale_order->getOpenTakeawayKots();
		
	   
	   $open_kot_ids_takeaway = array();
		
		for($i=0; $i < sizeof($open_kots_takeaway); $i++){
			$open_kot_ids_takeaway[$i]= $open_kots_takeaway[$i]['kot_id'];
			}
		
		if(sizeof($open_kot_ids_takeaway)>0){
		$open_kot_ids_takeaway = implode(",",$open_kot_ids_takeaway);
			}else{
		$open_kot_ids_takeaway = 0;
				}
			
		$data['kot_data_takeaway'] = $this->model_sale_sale_order->getKotProducts($open_kot_ids_takeaway);
	
	
	
	

		$this->document->setTitle($this->language->get('heading_title'));
		
		$data['token'] = $this->session->data['token'];
		
		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('sale/kot_display', $data));


		}
		
		
}
?>