<?php
class ControllerSaleTakeawayKot extends Controller {
	private $error = array();

	public function index() {
		$this->load->language('sale/order');
		$this->load->model('sale/sale_order');
		
		$data['bar_categories'] = $this->model_sale_sale_order->getCategories('59');
		$data['food_categories'] = $this->model_sale_sale_order->getCategories('60');
		
		$category_id =array();

		
		for($i=0; $i<sizeof($data['food_categories']); $i++){
			array_push($category_id,$data['food_categories'][$i]['category_id']);
	
		}

		$category_ids = implode(",",$category_id);
		

		$data['products'] = $this->model_sale_sale_order->getProductsByCategories($category_ids);
			
     	$data['username'] = $this->user->getUserName();
	    $data['user_id'] = $this->user->getId();
		$data['token'] = $this->session->data['token'];
		
		$data['customer'] = $this->model_sale_sale_order->getSaleCustomer();	
		
		$data['open_kots']= $open_kots = $this->model_sale_sale_order->getAllOpenTakeawayKots();
		
		$data['order_sources'] = $this->model_sale_sale_order->getOrderSources();
		
		
		$open_kot_ids = array();
		
		for($i=0; $i < sizeof($open_kots); $i++){
			$open_kot_ids[$i]= $open_kots[$i]['kot_id'];
			}
		
		if(sizeof($open_kot_ids)>0){
		$open_kot_ids = implode(",",$open_kot_ids);
			}else{
		$open_kot_ids = 0;
				}
			
		$data['kot_data'] = $this->model_sale_sale_order->getKotProducts($open_kot_ids);

//	print_r($open_kots);
	//print_r($data['kot_data']);	
	
	

		$this->document->setTitle("Add Takeaway Orders");
		
		$data['token'] = $this->session->data['token'];
		
		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('sale/takeaway_kot', $data));


		}
		
	
		public function save_takeaway(){
			
			$this->load->model('sale/sale_order');
	
			
			//add customer
			
			$customer_id = $this->request->post['customer_id'];
			$customer_name = $this->request->post['customer_name'];
			$customer_email = $this->request->post['customer_email'];
			$customer_phone = $this->request->post['customer_number'];
			
			
			if($customer_id==0){
				if(!empty($customer_name) && !empty($customer_phone)){
				  $customer_id = $this->model_sale_sale_order->addCustomer($customer_name, $customer_email, $customer_phone);	
					}
				}
			
			//add takeaway order
			$data['customer_id']=$customer_id;
			$data['order_open_time']= $this->request->post['open_time'];	
			$data['date'] = $this->request->post['date'];
			$data['open_by']= $this->request->post['open_by'];	
			$data['order_source_id']= $this->request->post['order_source'];	
			
			$data['status']= 'open';
			
			$takeaway_order_id = $this->model_sale_sale_order->insertTakeawayOrder($data);
			
			//add kot
		    
			$data_kot['total']= $this->request->post['total'];
			$data_kot['time']= $this->request->post['open_time'];
			$data_kot['date']= $this->request->post['date'];
			$data_kot['created_by']= $this->request->post['created_by'];
			$data_kot['status']= 'open';
			$data_kot['notes']=$this->request->post['notes'];
			
			$data_kot['product_id'] = $this->request->post['product_id'];
			$data_kot['category_id'] = $this->request->post['category_id'];
			$data_kot['product_qty'] = $this->request->post['product_qty'];
			$data_kot['product_price'] = $this->request->post['product_price'];
			$data_kot['product_name'] = $this->request->post['product_name'];
			$data_kot['product_tax'] = $this->request->post['product_tax'];
			
			
			$kot_id = $this->model_sale_sale_order->insertKot($data_kot);
			$table_order_id = $this->model_sale_sale_order->mapTakeawayToKot($takeaway_order_id ,$kot_id);
		
			$data1['last_kot']=$this->model_sale_sale_order->getLastKotTakeaway();
			$data1['last_kot_products']=$this->model_sale_sale_order->getLastKotProducts($data1['last_kot'][0]['kot_id']);
			print_r(json_encode($data1));
			
			
			}	
			
		
		
		
}
?>