<?php
class ModelCatalogDashboard extends Model {
	public function getRecentTableOrder(){
			$query = $this->db->query("SELECT  table_id, grand_total, time, date FROM " . DB_PREFIX . "table_bills ORDER BY table_bill_id DESC LIMIT 10");
	    return $query->rows;
	
		}


public function getRecentTakeaway(){
			$query = $this->db->query("SELECT  takeaway_bill_id, grand_total, time, date FROM " . DB_PREFIX . "takeaway_bills ORDER BY takeaway_bill_id DESC LIMIT 10");
	    return $query->rows;
	
		}


public function getRecentSales(){
	        $date = date("d/m/Y");
			$query = $this->db->query("SELECT grand_total FROM " . DB_PREFIX . "table_bills where date = '". $date."'");
	        $table_bills =  $query->rows;
		    $table_total = 0; 
			$total_table_bills = sizeof($table_bills);
			
			 for($i=0; $i < sizeof($table_bills); $i++){
				 $table_total = $table_total+ $table_bills[$i]['grand_total'];
				 }
			 
			 
		    $query = $this->db->query("SELECT grand_total FROM " . DB_PREFIX . "takeaway_bills where date = '". $date."'");
	        $takeaway_bills =  $query->rows;
		 	$takeaway_total = 0; 
		    $total_takeaway_bills =  sizeof($takeaway_bills);
			
			 for($i=0; $i < sizeof($takeaway_bills); $i++){
				 $takeaway_total = $takeaway_total+ $takeaway_bills[$i]['grand_total'];
				 }
				 
			$data['total_amount'] =	$table_total + $takeaway_total;
			$data['total_bills'] = $total_table_bills +  $total_takeaway_bills ;
			
			
			return $data;
		}
		
		
public function getWeeklySales(){
	      
			$d1 = date("d/m/Y", strtotime(' -1 day'));
			$d2 = date("d/m/Y", strtotime(' -2 day'));
			$d3 = date("d/m/Y", strtotime(' -3 day'));
			$d4 = date("d/m/Y", strtotime(' -4 day'));
			$d5 = date("d/m/Y", strtotime(' -5 day'));
			$d6 = date("d/m/Y", strtotime(' -6 day'));
			$d7 = date("d/m/Y", strtotime(' -7 day'));
			
		
			
			
			$sale = array();
			
			for($j=1;$j<8;$j++){
			
			$query = $this->db->query("SELECT grand_total FROM " . DB_PREFIX . "table_bills where date = '". ${"d$j"}."'");
	        $table_bills =  $query->rows;
		    $table_total = 0; 
			
			 for($i=0; $i < sizeof($table_bills); $i++){
				 $table_total = $table_total+ $table_bills[$i]['grand_total'];
				 }
			 
			 
		    $query = $this->db->query("SELECT grand_total FROM " . DB_PREFIX . "takeaway_bills where date = '". ${"d$j"}."'");
	        $takeaway_bills =  $query->rows;
		 	$takeaway_total = 0; 
			
			 for($i=0; $i < sizeof($takeaway_bills); $i++){
				 $takeaway_total = $takeaway_total+ $takeaway_bills[$i]['grand_total'];
				 }
				 
			$sale[$j] =	$table_total + $takeaway_total;	
				
				}
			
			
			//print_r($sale);
			return $sale;
		}		



public function getWeeklyPurchase(){
	        $d1 = date("Y-m-d", strtotime(' -1 day'));
			$d2 = date("Y-m-d", strtotime(' -2 day'));
			$d3 = date("Y-m-d", strtotime(' -3 day'));
			$d4 = date("Y-m-d", strtotime(' -4 day'));
			$d5 = date("Y-m-d", strtotime(' -5 day'));
			$d6 = date("Y-m-d", strtotime(' -6 day'));
			$d7 = date("Y-m-d", strtotime(' -7 day'));
			
		
			
			
			$purchase = array();
			$purchase_total=0;
			
			for($j=1;$j<8;$j++){
		    $query = $this->db->query("SELECT total_amount FROM " . DB_PREFIX . "purchase where DATE(date) = '". ${"d$j"}."'");
	        $purchase_bills =  $query->rows;
		    $purchase_total = 0; 
			
			 for($i=0; $i < sizeof($purchase_bills); $i++){
				 $purchase_total = $purchase_total+ $purchase_bills[$i]['total_amount'];
				 }
				
			$purchase[$j]=$purchase_total;	
			}
		  
			 
			return $purchase;
		}
		
		
public function getRecentPurchase(){
	       $date = date("Y-m-d");
			$query = $this->db->query("SELECT total_amount FROM " . DB_PREFIX . "purchase where DATE(date) = '". $date."'");
	        $purchase_bills =  $query->rows;
		    $purchase_total = 0; 
			
			 for($i=0; $i < sizeof($purchase_bills); $i++){
				 $purchase_total = $purchase_total+ $purchase_bills[$i]['total_amount'];
				 }
			 
			return $purchase_total;
		}		



public function getRecentCustomer(){
	     $date = date("d/m/Y");
		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "customer where DATE(date_added) = '". $date."'");
	      $result = $query->rows;
		  return sizeof($result);	 
			}

public function getRecentKotsClosed(){
	        $date = date("d/m/Y");
			$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "kot where date = '". $date."'AND status = 'close'");
	      $result = $query->rows;
		
		  return sizeof($result);	 
			}

public function getRecentKotsOpen(){
	        $date = date("d/m/Y");
			$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "kot where date = '". $date."' AND status = 'open'");
	        $result = $query->rows;
		
			return sizeof($result);	 
			}



}
