<?php
class ControllerPurchaseKitchenPurchase extends Controller {
	private $error = array();

	public function index() {
		$this->load->language('sale/order');
		$this->load->model('purchase/purchase');
		$this->load->model('user/user');
	
		
		$data['kitchen_categories'] = $this->model_purchase_purchase->getCategories('61');

		$category_ids = [];
		for($i=0; $i<sizeof($data['kitchen_categories']);$i++){
			array_push($category_ids,$data['kitchen_categories'][$i]['category_id']);

		}
		$data['products'] = $this->model_purchase_purchase->getProductsByCategory($category_ids);
		
		$data['user_id'] = $this->user->getId();
		$data['username'] = $this->user->getUserName();
		$data['store_id'] = "0";
		
		
		
        if(isset($this->request->post['purchase_category']) && isset($this->request->post['username']) && isset($this->request->post['store_id'])){
	   
	     $p_category = $this->request->post['purchase_category'];
		 $user_id = $this->request->post['user_id'];
		 $username = $this->request->post['username'];
		 $store_id = $this->request->post['store_id'];
		 $date = $this->request->post['date'];
		 $total = $this->request->post['total'];
		 $gst = $this->request->post['gst'];
	
		 $purchase_id = $this->model_purchase_purchase->addPurchase($p_category, $user_id, $username, $store_id, $date, $total, $gst);
	      
		  for($i=0; $i<sizeof($this->request->post['product_id']); $i++){
			  
			  $pid = $this->request->post['product_id'][$i];
			  $pname = $this->request->post['product_name'][$i];
			  $pprice = $this->request->post['product_price'][$i];
			  $tax = $this->request->post['product_tax'][$i];
			  $qty = $this->request->post['product_qty'][$i];
			  $cid = $this->request->post['product_cid'][$i];
			  $prev_qty = $this->request->post['product_prev_qty'][$i];
		
			
			$this->model_purchase_purchase->addPurchaseProduct($pid, $pname, $pprice, $tax, $qty, $cid, $purchase_id, $prev_qty);
			
			  }
	   	}
		$this->document->setTitle("Kitchen Purchase");
		
		
		$data['header'] = $this->load->controller('common/header');
		$data['column_left'] = $this->load->controller('common/column_left');
		$data['footer'] = $this->load->controller('common/footer');

		$this->response->setOutput($this->load->view('purchase/kitchen_purchase', $data));
			}

		

}
